using System.Numerics;
using Nethereum.ABI.FunctionEncoding.Attributes;

namespace Managing.ABI.GmxV2.SyntheticsReader.ContractDefinition
{
    public partial class SwapFees : SwapFeesBase { }

    public class SwapFeesBase 
    {
        [Parameter("uint256", "feeReceiverAmount", 1)]
        public virtual BigInteger FeeReceiverAmount { get; set; }
        [Parameter("uint256", "feeAmountForPool", 2)]
        public virtual BigInteger FeeAmountForPool { get; set; }
        [Parameter("uint256", "amountAfterFees", 3)]
        public virtual BigInteger AmountAfterFees { get; set; }
        [Parameter("address", "uiFeeReceiver", 4)]
        public virtual string UiFeeReceiver { get; set; }
        [Parameter("uint256", "uiFeeReceiverFactor", 5)]
        public virtual BigInteger UiFeeReceiverFactor { get; set; }
        [Parameter("uint256", "uiFeeAmount", 6)]
        public virtual BigInteger UiFeeAmount { get; set; }
    }
}
